---
title: HTMLStyleElement.scoped
slug: Web/API/HTMLStyleElement/scoped
tags:
  - API
  - HTML DOM
  - HTMLStyleElement
  - Non-standard
  - Obsolete
  - Property
  - Reference
  - scoped
---
<div>
<div>{{APIRef("HTML DOM")}}</div>

<div>{{non-standard_header}}{{obsolete_header}}</div>
</div>

<p>The <code><strong>HTMLStyleElement.scoped</strong></code> property is a <a href="/en-US/docs/Web/API/Boolean"><code>Boolean</code></a> value indicating if the element applies to the whole document (<code>false</code>) or only to the parent's sub-tree (<code>true</code>).</p>

<p>By default it contains the value of the {{htmlattrxref("scoped", "style")}} content attribute.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>value</var> = style.scoped;
style.scoped = true;</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLStyleElement.scoped")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{HTMLElement("style")}} HTML Element.</li>
 <li>The {{cssxref(":scope")}} CSS pseudo-class.</li>
</ul>
